php-fpm and change configuration value

7 posts / 0 new
Last post
#1 Thu, 03/21/2019 - 15:45
ale.ab

php-fpm and change configuration value

i have a server with this configuration

Centos 7

Multi php (php 5.6 7.0 7.1 7.2)

Multi php-fpm (5.6 7.0 7.1 7.2)

and it works fine.

but ' can't change a value of php (similar to php.ini) in virtualmin here

virtualmin -> select virtual server -> services -> PHP-FPM configuration

because one virtual server have php-fpm 7.0 but i see

/etc/opt/remi/php56/php-fpm.d/139025305615963.conf

anyway if i edit with ssh

/etc/opt/remi/php70/php-fpm.d/139025305615963.conf

it works...

so seems virtualmin wrong to choose correct version to php-fpm...

it's a bug?

thank you in advance

Ale

Wed, 04/24/2019 - 13:37
ale.ab

nobody have this issue?

thank you

Wed, 07/24/2019 - 12:03
applejack

Did you get this sorted and if so how.

Also I would be very grateful if you could let me know how to set / run multiple version of php-fpm using Remi's different versions of php in opt.

Thu, 07/25/2019 - 03:19
ale.ab

i used this command

#

yum install epel-release -y \ && rpm -Uvh http://rpms.remirepo.net/enterprise/remi-release-7.rpm

yum install php54-php-fpm php55-php-fpm php56-php-fpm php70-php-fpm php71-php-fpm php72-php-fpm php73-php-fpm php-fpm -y

virtualmin check-config

#

after i see more version of php in virtualmin.

thank you

Thu, 07/25/2019 - 05:46
applejack

Hi ale.ab

Thanks for getting back to me. I actually meant the issue of showing the wrong version of php-fpm and what you edited to show the correct one.

I also came across this https://www.virtualmin.com/comment/810367#comment-810367

Thu, 07/25/2019 - 06:04
ale.ab

i don't know... i have ran that command and my virtualmin works with multiple php fpm versions.

but i stil waiting an answer for my question... si i have no idea how virtualmin works with multiple php versions, i think that we wait an administrator or similar to have answers...

thank you

Thu, 07/25/2019 - 06:49
applejack

Ok no problem.

If you read that link I included it seems they are aware of the issue and are trying to fix in the next version of Virtualmin.